Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGPathSegList

All Known Implementing Classes:
  AbstractSVGPathSegList

public interface SVGPathSegList

Method Summary
`SVGPathSeg` | `appendItem(SVGPathSeg newItem)`
`void` | `clear()`
`SVGPathSeg` | `getItem(int index)`
`int` | `getNumberOfItems()`
`SVGPathSeg` | `initialize(SVGPathSeg newItem)`
`SVGPathSeg` | `insertItemBefore(SVGPathSeg newItem, int index)`
`SVGPathSeg` | `removeItem(int index)`
`SVGPathSeg` | `replaceItem(SVGPathSeg newItem, int index)`

Method Detail

### getNumberOfItems

    public int getNumberOfItems()

### clear

    public void clear()
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### initialize

    public SVGPathSeg initialize(SVGPathSeg newItem)
                          throws org.w3c.dom.DOMException,
                                 SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGPathSeg getItem(int index)
                       throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGPathSeg insertItemBefore(SVGPathSeg newItem,
                                       int index)
                                throws org.w3c.dom.DOMException,
                                       SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGPathSeg replaceItem(SVGPathSeg newItem,
                                  int index)
                           throws org.w3c.dom.DOMException,
                                  SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGPathSeg removeItem(int index)
                          throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGPathSeg appendItem(SVGPathSeg newItem)
                          throws org.w3c.dom.DOMException,
                                 SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.